# ChangeLog for net-dialup/slmodem
# Copyright 2000-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-dialup/slmodem/ChangeLog,v 1.78 2006/12/20 18:33:11 mrness Exp $

  20 Dec 2006; Alin Năstac <mrness@gentoo.org>
  files/slmodem-2.9.11-kernel-2.6.19.patch:
  Make kernel patch future-proof (bug #156783 comment #11).

  08 Dec 2006; Christian Faulhammer <opfer@gentoo.org>
  slmodem-2.9.11_pre20061021-r1.ebuild:
  stable x86, bug #156783

*slmodem-2.9.11_pre20061021-r1 (06 Dec 2006)

  06 Dec 2006; Alin Nastac <mrness@gentoo.org>
  -slmodem-2.9.11_pre20061021.ebuild, +slmodem-2.9.11_pre20061021-r1.ebuild:
  Apply makefile.patch (#157331).

*slmodem-2.9.11_pre20061021 (02 Dec 2006)

  02 Dec 2006; Alin Năstac <mrness@gentoo.org>
  +files/slmodem-2.9.11-kernel-2.6.19.patch,
  +slmodem-2.9.11_pre20061021.ebuild:
  Version bump. Fix broken compilation against kernel 2.6.19 (#156783).

*slmodem-2.9.11_pre20051101-r3 (01 Dec 2006)

  01 Dec 2006; Alin Năstac <mrness@gentoo.org> files/slmodem-confd,
  files/slmodem-initd, -slmodem-2.9.11_pre20051101-r2.ebuild,
  +slmodem-2.9.11_pre20051101-r3.ebuild:
  Add extra slmodemd options (#156457).

  18 Nov 2006; Alin Nastac <mrness@gentoo.org>
  -files/slmodem-2.9.11-modem-cc-makefile.patch,
  -files/slmodem-2.9.11-modem-makefile.patch, -files/slmodem-2.9.11.init,
  -files/slmodem-2.9.11.modules, -files/slmodem-2.9.conf,
  +files/slmodem-confd, +files/slmodem-initd, +files/slmodem-modules,
  -slmodem-2.9.11_pre20051101.ebuild, slmodem-2.9.11_pre20051101-r2.ebuild:
  Remove obsolete revision.

  08 Oct 2006; Andrej Kacian <ticho@gentoo.org>
  slmodem-2.9.11_pre20051101-r2.ebuild:
  Stable on x86, bug #150392.

*slmodem-2.9.11_pre20051101-r2 (22 Sep 2006)

  22 Sep 2006; Alin Nastac <mrness@gentoo.org> files/slmodem-2.9.11.init,
  -slmodem-2.9.11_pre20051101-r1.ebuild,
  +slmodem-2.9.11_pre20051101-r2.ebuild:
  Create device file with the correct major number (#148503).

  12 Sep 2006; Alin Nastac <mrness@gentoo.org>
  slmodem-2.9.11_pre20051101-r1.ebuild:
  Deactivate exec stack QA warning for slmodem_test and slmodemd (#123733).

  10 Sep 2006; Alin Nastac <mrness@gentoo.org>
  -files/slmodem-2.9.11-devfs.patch,
  +files/slmodem-2.9.11-kernel-2.6.18.patch, -files/slmodem-2.9.devfs,
  slmodem-2.9.11_pre20051101-r1.ebuild:
  Include utsrelease.h when kernel ver >= 2.6.18 (#140723).

*slmodem-2.9.11_pre20051101-r1 (09 Sep 2006)

  09 Sep 2006; Alin Nastac <mrness@gentoo.org>
  +files/slmodem-2.9.11-devfs.patch, +files/slmodem-2.9.11-makefile.patch,
  +slmodem-2.9.11_pre20051101-r1.ebuild:
  Fix compilation errors when build against kernels >= 2.6.18 (#140723).
  Correct udev rules (#144841).

  22 Aug 2006; Stefan Schweizer <genstef@gentoo.org>
  +files/slmodem-2.9.11-modem-cc-makefile.patch,
  slmodem-2.9.11_pre20051101.ebuild:
  Fix problems with amd64 and eselect compiler, thanks to Kazuo Teramoto
  <kaz.rag@gmail.com> in bug 140564

  27 May 2006; Stefan Schweizer <genstef@gentoo.org>
  files/slmodem-2.9.11-modem-makefile.patch:
  Add -finline flag in replacement for upstreams -O, thanks to Ph. Bobo
  <phbobofr@yahoo.fr> in bug 134529

  29 Apr 2006; Stefan Schweizer <genstef@gentoo.org>
  -files/slmodem-2.9.9b-gcc4.patch, -files/slmodem-amd64-Makefile.diff,
  -files/slmodem-2.9.init, -files/slmodem-2.9.modules,
  -files/slmodem-class-simple-to-class.diff,
  -files/slmodem-remove-URB_ASYNC_UNLINK.patch, -slmodem-2.9.9d.ebuild:
  remove old

  26 Apr 2006; Alin Nastac <mrness@gentoo.org>
  slmodem-2.9.11_pre20051101.ebuild:
  Stable on x86 (#131353).

  22 Apr 2006; Alin Nastac <mrness@gentoo.org>
  +files/slmodem-2.9.11-modem-makefile.patch, metadata.xml,
  slmodem-2.9.11_pre20051101.ebuild:
  Fix broken compilation when LDFLAGS=-Wl,--as-needed (#130796). Quote $S, $D,
  $ROOT, $WORKDIR and $FILESDIR.

  08 Apr 2006; Stefan Schweizer <genstef@gentoo.org>
  slmodem-2.9.11_pre20051101.ebuild:
  Add module_param sed-fix

  22 Mar 2006; Stefan Schweizer <genstef@gentoo.org>
  -slmodem-2.9.11_pre20050816.ebuild, -slmodem-2.9.11_pre20051009.ebuild,
  -slmodem-2.9.11_pre20051009-r1.ebuild, slmodem-2.9.11_pre20051101.ebuild:
  Fix 2.6.16 compiling, thanks to pb <gentoobugzilla@mytrashmail.com> in bug
  127176, remove old ebuilds

  25 Feb 2006; Daniel Black <dragonheart@gentoo.org> metadata.xml:
  I've not maintained this for a while. removing self from metadata. Thanks
  net-dialup herd for taking care of this.

*slmodem-2.9.11_pre20051101 (06 Nov 2005)

  06 Nov 2005; Stefan Schweizer <genstef@gentoo.org>
  +slmodem-2.9.11_pre20051101.ebuild:
  version bump

*slmodem-2.9.11_pre20051009-r1 (22 Oct 2005)

  22 Oct 2005; Stefan Schweizer <genstef@gentoo.org>
  +files/slmodem-2.9.11.init, +slmodem-2.9.11_pre20051009-r1.ebuild:
  Fix init script to work also when we do not get a device node automatically

  16 Oct 2005; Alin Nastac <mrness@gentoo.org> slmodem-2.9.9d.ebuild,
  slmodem-2.9.11_pre20050816.ebuild, slmodem-2.9.11_pre20051009.ebuild:
  Fix typo in info messages (#108743).

*slmodem-2.9.11_pre20051009 (15 Oct 2005)

  15 Oct 2005; Stefan Schweizer <genstef@gentoo.org>
  +files/slmodem-amd64-Makefile.diff, +slmodem-2.9.11_pre20051009.ebuild:
  Version bump, CFLAGS optimization, and amd64 support thanks to Tupone
  Alfredo <alfredo@tupone.it> in bug 106276

  04 Oct 2005; Alin Nastac <mrness@gentoo.org> slmodem-2.9.9d.ebuild,
  slmodem-2.9.11_pre20050816.ebuild:
  Remove COPYING from docs.

  17 Sep 2005; Stefan Schweizer <genstef@gentoo.org>
  slmodem-2.9.11_pre20050816.ebuild:
  Make postinst einfo more descriptive thanks to Carlos Cordoba
  <ccordoba12@gmail.com> in bug 102784

*slmodem-2.9.11_pre20050816 (10 Sep 2005)

  10 Sep 2005; Stefan Schweizer <genstef@gentoo.org>
  +files/slmodem-2.9.11.modules, +files/slmodem-class-simple-to-class.diff,
  +files/slmodem-remove-URB_ASYNC_UNLINK.patch,
  +slmodem-2.9.11_pre20050816.ebuild:
  Version bump including 2.6.13 and 2.6.13-mm compatibility fix

  11 Jul 2005; Stefan Schweizer <genstef@gentoo.org> files/slmodem-2.9.init,
  slmodem-2.9.9d.ebuild:
  Fix init script problem on livecd and move useage of KV_DIR after
  linux-mod_pkg_setup.

  10 Jul 2005; Daniel Drake <dsd@gentoo.org> slmodem-2.9.9d.ebuild:
  Do linux-mod_pkg_setup after setting variables, fixes config check.

  14 Jun 2005; Stefan Schweizer <genstef@gentoo.org>
  -files/slmodem-2.9.9a-alsa.patch,
  -files/slmodem-usb_endpoint_halted-gentoo.patch,
  -slmodem-2.9.9a-r2.ebuild, -slmodem-2.9.9b.ebuild, slmodem-2.9.9d.ebuild:
  2.9.9d x86 stable, removing old versions.

  12 Jun 2005; Donnie Berkholz <spyderous@gentoo.org>; metadata.xml:
  Remove myself from metadata since my laptop is broken.

  29 May 2005; Alin Nastac <mrness@gentoo.org>
  +files/slmodem-2.9.9b-gcc4.patch, slmodem-2.9.9b.ebuild,
  slmodem-2.9.9d.ebuild:
  Fix gcc-4.0 compile error (#94279).

*slmodem-2.9.9d (14 May 2005)

  14 May 2005; Stefan Schweizer <genstef@gentoo.org> +slmodem-2.9.9d.ebuild:
  Version bump thanks to [steev] for testing

*slmodem-2.9.9b (14 Mar 2005)

  14 Mar 2005; Stefan Schweizer <genstef@gentoo.org> files/slmodem-2.9.conf,
  files/slmodem-2.9.init, +slmodem-2.9.9b.ebuild:
  Version bump, ebuild cleanup. Thanks to steev <threeway@gmail.com> for testing

  28 Jan 2005; Stefan Schweizer <genstef@gentoo.org>
  slmodem-2.9.9a-r2.ebuild:
  Remove CONFIG_CHECK=SND for bug 79837

*slmodem-2.9.9a-r2 (22 Jan 2005)

  22 Jan 2005; Alin Nastac <mrness@gentoo.org> files/slmodem-2.9.init,
  -slmodem-2.9.9a-r1.ebuild, +slmodem-2.9.9a-r2.ebuild:
  Increase timeout of modem initialisation (see bug #77162).

  22 Jan 2005; Daniel Drake <dsd@gentoo.org> slmodem-2.9.9a-r1.ebuild,
  -slmodem-2.9.9a.ebuild:
  Stable on x86

*slmodem-2.9.9a-r1 (21 Jan 2005)

  21 Jan 2005; Daniel Drake <dsd@gentoo.org> +files/slmodem-2.9.9a-alsa.patch,
  +slmodem-2.9.9a-r1.ebuild:
  Readd ALSA modem fix thanks to Jos Delbar <jos.delbar@ugent.be> in bug 77184

  19 Jan 2005; Daniel Drake <dsd@gentoo.org> -slmodem-2.9.10-r1.ebuild,
  slmodem-2.9.9a.ebuild:
  2.9.9a stable on x86. Removing 2.9.10 because of licensing issues. There are
  no differences between 2.9.9 and 2.9.10 so moving from 2.9.10-r1 to 2.9.9a
  *can* be considered an upgrade. See bug 77184

*slmodem-2.9.9a (12 Jan 2005)

  12 Jan 2005; Daniel Drake <dsd@gentoo.org>
  -files/slmodem-2.9.10-fix-for-2.6.10.patch,
  -files/slmodem-2.9.10-pci-workaround.patch,
  -files/slmodem-2.9.10-usb_endpoint_halted-gentoo.patch,
  +files/slmodem-usb_endpoint_halted-gentoo.patch, slmodem-2.9.10-r3.ebuild,
  -slmodem-2.9.10-r4.ebuild, +slmodem-2.9.9a.ebuild:
  Revert to 2.9.9 due to licensing issues. This is the linmodems release with
  some ALSA and 2.6.10 fixes included.

*slmodem-2.9.10-r4 (07 Jan 2005)

  07 Jan 2005; Alin Nastac <mrness@gentoo.org>
  +files/slmodem-2.9.10-pci-workaround.patch, -slmodem-2.9.10-r2.ebuild,
  -slmodem-2.9.10-r3.ebuild, +slmodem-2.9.10-r4.ebuild:
  Fix slamr module for kernels >= 2.6.10, thanks to Daniel Drake
  <dsd@gentoo.org>. See bug #75656.

*slmodem-2.9.10-r3 (29 Dec 2004)

  29 Dec 2004; Alin Nastac <mrness@gentoo.org>
  +files/slmodem-2.9.10-fix-for-2.6.10.patch, +slmodem-2.9.10-r3.ebuild:
  Don't install slamr for kernel versions >= 2.6.10 (#75656). Rewrite ebuild
  using linux-mod eclass. Create /dev/ppp device at install time (#75913).

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*slmodem-2.9.10-r2 (14 Dec 2004)

  14 Dec 2004; Alin Nastac <mrness@gentoo.org>
  -files/slmodem-2.9.10-makefile-fixup.patch,
  +files/slmodem-2.9.10-usb_endpoint_halted-gentoo.patch,
  +files/slusb.hotplug, +slmodem-2.9.10-r2.ebuild:
  Solve undefined symbol error for slusb when is compiled against kernel
  versions >= 2.6.9. See bug #74073.

*slmodem-2.9.10-r2 (14 Dec 2004)

  14 Dec 2004; Alin Nastac <mrness@gentoo.org>
  -files/slmodem-2.9.10-makefile-fixup.patch,
  +files/slmodem-2.9.10-usb_endpoint_halted-gentoo.patch,
  +files/slusb.hotplug, +slmodem-2.9.10-r2.ebuild:
  Solve undefined symbol error for slusb when is compiled against kernel
  versions >= 2.69. See bug #74073.

  05 Dec 2004; Daniel Black <dragonheart@gentoo.org> metadata.xml,
  -files/slmodem-2.9.9-makefile-fixup.patch, files/slmodem-2.9.conf,
  files/slmodem-2.9.init, slmodem-2.9.10-r1.ebuild, -slmodem-2.9.10.ebuild,
  -slmodem-2.9.9-r2.ebuild:
  Old version cleanout. Latest version stable to remove use of kmod eclass. Bug
  #71498 (file permission) problem fixed thanks to Urs Joss <tschenturs@gmx.ch>.
  Bug #60676 alsa compatibility problem fixed thanks to Jos Delbar
  <jos.delbar@ugent.be>. Added herd dialup to maintaince metadata.xml

  25 Oct 2004; Daniel Black <dragonheart@gentoo.org>
  -files/slmodem-2.7.14-makefile-fixup.patch, -files/slmodem-2.7.devfs,
  -files/slmodem-2.7.modules, -slmodem-2.7.14.ebuild,
  slmodem-2.9.10-r1.ebuild:
  Fixed ebuild when USE=-alsa. Thanks to Ryan Finnie
  <gentoo-bugzilla@arrrrrr.com> in bug #68179. Removed old version

*slmodem-2.9.10-r1 (16 Oct 2004)

  16 Oct 2004; Daniel Black <dragonheart@gentoo.org>
  +slmodem-2.9.10-r1.ebuild:
  Changed eclasses and does a few more compatable with later kernel versions.
  Thanks to Stefan Schweizer <sschweizer@gmail.com> in bug #67639

  02 Oct 2004; Daniel Black <dragonheart@gentoo.org>
  files/slmodem-2.9.10-makefile-fixup.patch:
  Fixes compile for 2.4 kernels (bug #65743 and #61825). Thanks to Alin 
  Nastac <mrness@gentoo.ro> for the fixed patch

*slmodem-2.9.10 (24 Sep 2004)

  24 Sep 2004; Daniel Black <dragonheart@gentoo.org>
  +files/slmodem-2.9.10-makefile-fixup.patch, +slmodem-2.9.10.ebuild:
  version bump as per bug #65117. Thanks to Alin Nastac <mrness@gentoo.ro>

  20 Aug 2004; Daniel Black <dragonheart@gentoo.org> -slmodem-2.9.9-r1.ebuild,
  slmodem-2.9.9-r2.ebuild:
  removed old 2.9.9-r1. Made slmodem-2.9.9-r2 x86 stabled. Unfortunately due to
  drivers/amrlibs.o and modem/dsplibs.o being precompiled this program won't
  work on other archs. Please direct complaints to vendor
  (sales-corporate@smlink.com, linux-support@smlink.com). Mine was ignored but
  there is power in numbers.

  15 Aug 2004; Daniel Black <dragonheart@gentoo.org> slmodem-2.9.9-r2.ebuild:
  snd-intel8x0m added to hotplug blacklist due to it breaking suspend-to-ram.
  Thanks to Stefan Schweizer <sschweizer@gmail.com>

  14 Aug 2004; Daniel Black <dragonheart@gentoo.org>
  files/slmodem-2.9.9-makefile-fixup.patch:
  Patch missing parenthesis. Thanks spyderous@gentoo.org

  13 Aug 2004; Bryan Østergaard <kloeri@gentoo.org> slmodem-2.9.9-r2.ebuild:
  Fix broken quoting reported by genstef in #gentoo-bugs.

*slmodem-2.9.9-r2 (13 Aug 2004)

  13 Aug 2004; Daniel Black <dragonheart@gentoo.org> files/slmodem-2.9.conf,
  files/slmodem-2.9.init, +slmodem-2.9.9-r2.ebuild, -slmodem-2.9.9.ebuild:
  revision bump - improves init scripts and provides fixes listed in bug #59244.
  Many thank to Stefan Schweizer <sschweizer@gmail.com> who summitted the init
  script and fixes. Thanks also to Christian Roessner <info@roessner-net.com>
  for sumbitting the bug

  02 Aug 2004; Daniel Black <dragonheart@gentoo.org> metadata.xml:
  metadata updated. Dual maintence with spyderous

*slmodem-2.9.9-r1 (02 Aug 2004)

  02 Aug 2004; Daniel Black <dragonheart@gentoo.org>
  -files/slmodem-2.9.7-makefile-fixup.patch, files/slmodem-2.9.conf,
  files/slmodem-2.9.init, -slmodem-2.9.7-r1.ebuild, -slmodem-2.9.7-r2.ebuild,
  -slmodem-2.9.7.ebuild, +slmodem-2.9.9-r1.ebuild:
  fixed initscript installation. Added slmodem_test to the install. Removed
  older buggy versions. Closes bug #58222. Thanks to Stefan Schweizer
  <sschweizer@gmail.com> for the init scripts

  01 Aug 2004; Donnie Berkholz <spyderous@gentoo.org>; files/slmodem-2.9.init,
  slmodem-2.9.9.ebuild:
  init script needs alsasound, not alsa-sound (#59051).

  25 Jul 2004; Daniel Black <dragonheart@gentoo.org> files/slmodem-2.9.conf,
  files/slmodem-2.9.init, slmodem-2.9.9.ebuild:
  Fixes as per bug #58222 (missing README.1ST and bug #47947 (virtual/os-headers
  dependancy). Improved init.d script too. Thanks to Matteo Settenvini and Simon
  Cooper <thecoop@runbox.com>.

*slmodem-2.9.9 (25 Jul 2004)

  25 Jul 2004; Daniel Black <dragonheart@gentoo.org>
  -files/slmodem-2.9.8-makefile-fixup.patch, -files/slmodem-2.9.8-udev.patch,
  +files/slmodem-2.9.9-makefile-fixup.patch, -slmodem-2.9.8.ebuild,
  +slmodem-2.9.9.ebuild:
  removed broken version - 2.9.8. Version bump to 2.9.9 for hardware testing

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  slmodem-2.7.14.ebuild, slmodem-2.9.7-r1.ebuild, slmodem-2.9.7-r2.ebuild,
  slmodem-2.9.7.ebuild, slmodem-2.9.8.ebuild:
  virtual/glibc -> virtual/libc

*slmodem-2.9.8 (20 Jun 2004)

  20 Jun 2004; Daniel Black <dragonheart@gentoo.org>
  +files/slmodem-2.9.8-makefile-fixup.patch, +files/slmodem-2.9.8-udev.patch,
  files/slmodem-2.9.init, +slmodem-2.9.8.ebuild:
  Version bump. not fully tested however I'm stuck. Thanks to dsd@gentoo.org for
  the udev patch and the members of bug #47947 for other improvement ideas and
  patches

  08 Jun 2004; Daniel Black <dragonheart@gentoo.org> files/slmodem-2.9.conf,
  files/slmodem-2.9.devfs, files/slmodem-2.9.init, +slmodem-2.9.7-r2.ebuild:
  Fixes and updates as per bug #47947 comments 31,35,36. Thanks to Tod 
  Morrison, Miroslaw Mieszczak and Simon Cooper.

  05 Jun 2004; Daniel Black <dragonheart@gentoo.org> slmodem-2.9.7-r1.ebuild:
  Fix according to bug #47947 comment 29 - Thanks Simon.

  05 Jun 2004; Daniel Black <dragonheart@gentoo.org> slmodem-2.9.7-r1.ebuild:
  added depmod -a in post_install

*slmodem-2.9.7-r1 (05 Jun 2004)

  05 Jun 2004; Daniel Black <dragonheart@gentoo.org> files/slmodem-2.9.conf,
  files/slmodem-2.9.devfs, files/slmodem-2.9.init, files/slmodem-2.9.modules,
  +slmodem-2.9.7-r1.ebuild:
  More fixes according to bug #47947. Thanks to Miroslaw Mieszczak, Stefan
  Briesenick and Simon Cooper

*slmodem-2.9.7 (23 May 2004)

  23 May 2004; Daniel Black <dragonheart@gentoo.org>
  +files/slmodem-2.9.7-makefile-fixup.patch, +files/slmodem-2.9.conf,
  +files/slmodem-2.9.devfs, +files/slmodem-2.9.init,
  +files/slmodem-2.9.modules, +slmodem-2.9.7.ebuild:
  Added version bump (bug #47947). Thanks to Simon Cooper <thecoop@runbox.com>
  and Mark Wagner <mark+gentoo@lanfear.net>

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> slmodem-2.7.14.ebuild:
  Add inherit eutils

  06 Mar 2004; Heinrich Wendel <lanius@gentoo.org> files/slmodem-2.7.modules:
  fix modules.d file (bug #40834)

  14 Dec 2003; Donnie Berkholz <spyderous@gentoo.org>; slmodem-2.7.14.ebuild:
  Fixup for people not using devfs.

  14 Dec 2003; Donnie Berkholz <spyderous@gentoo.org>; slmodem-2.7.14.ebuild:
  Stable on x86.

  14 Dec 2003; Donnie Berkholz <spyderous@gentoo.org>; slmodem-2.7.14.ebuild:
  Adding virtual/glibc to RDEPEND.

*slmodem-2.7.14 (29 Oct 2003)

  29 Oct 2003; Donnie Berkholz <spyderous@gentoo.org>; metadata.xml,
  slmodem-2.7.14.ebuild, files/slmodem-2.7.14-makefile-fixup.patch,
  files/slmodem-2.7.devfs, files/slmodem-2.7.modules:
  Initial commit. I wrote the ebuild.

